Skip to main content
GET
/
v1
/
account
/
history
Get Trade History
curl --request GET \
  --url https://staging-api.polysimulator.com/v1/account/history \
  --header 'X-API-Key: <x-api-key>'
[
  {
    "order_id": 123,
    "market_id": "<string>",
    "side": "<string>",
    "outcome": "<string>",
    "price": "<string>",
    "quantity": "<string>",
    "notional": "<string>",
    "fee": "<string>",
    "status": "<string>",
    "price_source": "<string>",
    "price_age_ms": 123,
    "filled_at": "<string>",
    "created_at": "<string>"
  }
]

Headers

X-API-Key
string
required

Your PolySimulator API key

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0
side
string | null

Filter by BUY or SELL

market_id
string | null

Filter by market

Response

Successful Response

order_id
integer
required
market_id
string
required
side
string
required
outcome
string
required
price
string
required
quantity
string
required
notional
string
required
fee
string
required
status
string
required
price_source
string | null
price_age_ms
integer | null
filled_at
string | null
created_at
string | null